# GimpUi.PreviewArea.new

    function new(): Gtk.Widget {
        // Gjs wrapper for gimp_preview_area_new()
    }

Creates a new GimpUi.PreviewArea widget.

If the preview area is used to draw an image with transparency, you might want to default the checkboard size and colors to user-set Preferences. To do this, you may set the following properties on the newly created GimpUi.PreviewArea:

Returns

  a new GimpUi.PreviewArea widget.

  Since GIMP 2.2